package com.zjrs.ggfw.rlzysc.blo;

import org.mohrss.leaf.core.framework.domain.blo.IBLO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.rlzysc.dto.*;
import com.zjrs.ggfw.rlzysc.dto.common.PageDTO;
import com.zjrs.ggfw.rlzysc.dto.dwzp.*;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.*;
import com.zjrs.ggfw.rlzysc.po.*;

import java.util.List;
import java.util.Map;

public interface DwzpBLO extends IBLO {
	
	//职位发布*获取职业信息列表
	public PageResult getZwxxList(DwzpZwListQueryDTO dto);
	
	//职位发布*查询职业信息
	public RsRlzyZwxxPO getRsRlzyZwxx(DwzpZwxxQueryDTO dto);
	
	//职位发布*保存职业信息
	public RsRlzyZwxxPO saveRsRlzyZwxx(RsRlzyZwxxPO rsRlzyZwxxPO);
	
	//更新职业信息
	public void updateRsRlzyZwxxById(RsRlzyZwxxPO rsRlzyZwxxPO);
	
	//简历管理*获取简历信息列表
	public PageResult getJlxxList(DwzpJlListQueryDTO dto);
	
	//更新简历管理
	public void updateRsRlzyJlglById(RsRlzyJlglPO rsRlzyJlglPO);
	
	//保存面试邀请日志
	public void saveRsRlzyMsyqrz(RsRlzyMsyqrzPO rsRlzyMsyqrzPO);
	
	//更新收藏关注
	public void updateRsRlzyScgzById(RsRlzyScgzPO rsRlzyScgzPO);
	
	//添加收藏关注
	public void addRsRlzyScgz(RsRlzyScgzPO rsRlzyScgzPO);
	
	//收藏关注*获取收藏简历信息列表
	public PageResult getScJlxxList(DwzpJlListQueryDTO dto);
	
	//收藏关注*获取关注简历信息列表
	public PageResult getGzJlxxList(DwzpJlListQueryDTO dto);
	
	//更新关注公司显示状态
	public void updateRsRlzyGzgsById(GzgsPO rsRlzyGzgsPO);
	
	//获取企业信息
	public RsRlzyQyxxPO getRsRlzyQyxxByUserid(String userid);
	
	//获取简历管理信息
	public JlxxPO getRsRlzyJlxxById(String rsRlzyJlxxLsh);

	//企业信息*最新招聘会列表
	PageResult getZxzphList(ZphglQueryDTO dto);

	//企业信息*推荐简历信息列表
	PageResult getTjjlList(PageDTO dto);

	public Map getQyxx(QyxxDTO dto);
	public Map getSyQyxx(ZjQueryDTO dto);
	public RsRlzyQyxxPO saveQyxx(QyxxUDTO dto);
	public void uploadQyTx(DwTxSpQueryDTO dto);
	public String queryQyTx(QyTxDTO dto);
	public void uploadQySp(DwTxSpQueryDTO dto);
	public String queryQySp();
	public RsRlzyQyxxPO toQyxxTjsh(QyxxUDTO dto);
	public void toQytxTjsh(DwTxSpQueryDTO dto);
	public void toQyspTjsh(DwTxSpQueryDTO dto);
	public PageResult getZphYdList(ZphYdQueryDTO dto);
	public void ydZph(ZwYdDTO dto);
	public void qxZphYd(ZjDTO dto);
	public PageResult getRcssqList(PageDTO dto);
	public RsRlzyRcssqPO saveRcssq(RcssqUDTO dto);
	public void deleteRcssq(String id);
	public void updateZnts(ZjUDTO dto);
	public PageResult getRcxxList(RcxxcxQueryDTO dto);
	public Map getZwXx(ZjDTO dto);
	public PageResult getzyxxList(PageDTO dto);
	public PageResult getWlzphzyxxList(PageDTO dto);
	public void toYdSh(ZjDTO dto);
	public Map getQytjxx();
	public RsRlzyRcssqPO getRcssqXx(ZjDTO dto);
	public PageResult getJlzntjList(PageDTO dto);
	public PageResult getJlrgtjList(PageDTO dto);

    RsRlzyQyxxPO getQyxxDetail(String id);

	PageResult getZwzpfs(ZwzpfsDTO dto);

    PageResult getDwTjjlList(PageDTO dto);

    List<RsRlzyJlglPO> selectGwlsh(String rsRlzyJlglLsh);

	void updateGwxxTdjgbyId(String gwlsh,String tdjg);

    void bmZph(ZphBmDTO dto);

	void setZphLog(SetZphLogDTO dto);

    void copyZw(CopyZwDTO dto);


	public PageResult getWlzphZw(ZwzpfsDTO dto);
}
